from pageapp.models import page
from django.shortcuts import render_to_response, get_object_or_404
from django.template import RequestContext


def getpage(request, page_id):
    pagedetail = get_object_or_404(page, pk=page_id)
    return render_to_response('pageapp/page.html', {'page': pagedetail}, context_instance=RequestContext(request))

def aboutpage(request):
    about = get_object_or_404(page, pk=1)
    return render_to_response('pageapp/page.html', {'page': about}, context_instance=RequestContext(request))

def contactpage(request):
    contact = get_object_or_404(page, pk=2)
    return render_to_response('pageapp/page.html', {'page': contact}, context_instance=RequestContext(request))

